#!/bin/sh
#
# sshd.service - sshd(8) service file
#

case $1 in
start)
	if [ ! -f /etc/ssh/ssh_host_key ]; then
	  ssh-keygen -t rsa1 -f /etc/ssh/ssh_host_key -N "" 2>/dev/null >/dev/null
	fi
	if [ ! -f /etc/ssh/ssh_host_rsa_key ]; then
	  ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N "" 2>/dev/null >/dev/null
	fi
	if [ ! -f /etc/ssh/ssh_host_dsa_key ]; then
	  ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N "" 2>/dev/null >/dev/null
	fi
	/usr/sbin/sshd
	;;
stop)	killall -q /usr/sbin/sshd
	;;
*)
	echo "usage: $0 start|stop"
esac

# EOF
